﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR6200: (1 year) VER IEEE /5820A+GHz
DATE:                  2017-04-11 13:03:14
AUTHOR:                Fluke
REVISION:              $Revision: 19230 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       311
CONFIGURATION:         Fluke 5820A (G2)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source:
#        LeCroy WaveRunner® 6000 Series Service Manual, August 2004
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Global Variables Used:
#
#    @Chan
#      This variable specifies which channel of the oscilloscope
#      is currently being tested.
#        @Chan = 1 designates Channel 1
#        @Chan = 2 designates Channel 2
#        @Chan = 3 designates Channel 3
#        @Chan = 4 designates Channel 4
#        @Chan = 5 designates External input
#
#    @NumChan
#      This variable specifies the number of channels the WaveRunner
#      Series Model has.
#
#    @BW_MHz
#      This variable specifies the BW of the WaveRunner Series
#      Model being tested.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        W

  1.002  IF           0
  1.003  5820         2GH                          1Vpp           LS S6 S  L
  1.004  ENDIF

# Verify MET/CAL version compatibility.
  1.005  MATH         @ReqMetCalVersion = "7.20"
  1.006  CALL         Sub MET/CAL Version Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20 or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

# Initialize UUT.
  1.012  IEEE         *CLS;*RST
# Clear parameters, turn channel header off, internal enable register off.
  1.013  IEEE2        PACL;CHDR OFF;INE 0
# Identify UUT.
  1.014  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.015  MATH         Model = "WR6200" ; @NumChan = 4 ; @BW_MHz = 2000

  1.016  IF           NOT(FIND(@ModelNum, Model, 1))
  1.017  HEAD         UUT AND SELECTED PROCEDURE DO NOT MATCH!
  1.018  DISP         The UUT is an [V @ModelNum], not a [V Model]!
  1.018  DISP
  1.018  DISP         Select "Advance", choose the appropriate
  1.018  DISP         procedure for the UUT, then restart.
  1.019  END
  1.020  ENDIF

  1.021  CALL         Sub High Voltage Safety Warning
  1.022  CALL         Sub Select Failed Test Mode
  1.023  CALL         Sub WR6000 Preliminary Instructions

  1.024  HEAD         EQUIPMENT REQUIREMENTS
  1.025  OPBR         Do you want to review the list of additional
  1.025  OPBR         equipment and/or accessories required?

  1.026  IF           MEM1 > 0
# Description of additional test equipment required to run this procedure.
  1.027  DISP         The following additional equipment and/or
  1.027  DISP         accessories are required:
  1.027  DISP
  1.027  DISP         - Cable, double-banana(m)-(m), Pomona Model 2BC-24
  1.027  DISP         - Adapter, double-banana jacks to BNC(m), Pomona
  1.027  DISP         [32] Model 1296 or equivalent
  1.028  ENDIF

  1.029  JMPL         INPUT_NOISE

# ====== INPUT IMPEDANCE ===================================================

  1.030  LABEL        INPUT_IMPEDANCE_1
  1.031  RSLT         =
  1.032  HEAD         {INPUT IMPEDANCE TEST (DC coupled)}
  1.033  MATH         @Chan = 1
  1.034  DISP         Make the following connections:
  1.034  DISP
  1.034  DISP         [32]        5820A            to          UUT
  1.034  DISP         [32] SOURCE/MEASURE CHAN 1 -------> Channel 1 input
  1.034  DISP
  1.034  DISP         The next routine operator intervention occurs
  1.034  DISP         in approximately 7 minutes...
  1.035  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.036  JMPL         LEAKAGE_VOLTAGE

  1.037  LABEL        INPUT_IMPEDANCE_2
  1.038  MATH         @Chan = 2
  1.039  DISP         Make the following connections:
  1.039  DISP
  1.039  DISP         [32]        5820A            to          UUT
  1.039  DISP         [32] SOURCE/MEASURE CHAN 1 -------> Channel 2 input
  1.039  DISP
  1.039  DISP         The next routine operator intervention occurs
  1.039  DISP         in approximately 7 minutes...
  1.040  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.041  JMPL         LEAKAGE_VOLTAGE_2

  1.042  LABEL        INPUT_IMPEDANCE_3
  1.043  MATH         @Chan = 3
  1.044  DISP         Make the following connections:
  1.044  DISP
  1.044  DISP         [32]        5820A            to          UUT
  1.044  DISP         [32] SOURCE/MEASURE CHAN 1 -------> Channel 3 input
  1.044  DISP
  1.044  DISP         The next routine operator intervention occurs
  1.044  DISP         in approximately 7 minutes...
  1.045  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.046  JMPL         LEAKAGE_VOLTAGE_3

  1.047  LABEL        INPUT_IMPEDANCE_4
  1.048  MATH         @Chan = 4
  1.049  DISP         Make the following connections:
  1.049  DISP
  1.049  DISP         [32]        5820A            to          UUT
  1.049  DISP         [32] SOURCE/MEASURE CHAN 1 -------> Channel 4 input
  1.049  DISP
  1.049  DISP         The next routine operator intervention occurs
  1.049  DISP         in approximately 7 minutes...
  1.050  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.051  JMPL         LEAKAGE_VOLTAGE_4

  1.052  LABEL        INPUT_IMPEDANCE_EXT
  1.053  MATH         @Chan = 5
  1.054  DISP         Make the following connections:
  1.054  DISP
  1.054  DISP         [32]        5820A            to          UUT
  1.054  DISP         [32] SOURCE/MEASURE CHAN 1 -------> EXTernal input
  1.054  DISP
  1.054  DISP         The next routine operator intervention occurs
  1.054  DISP         in approximately 1 minute...
  1.055  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.056  JMPL         LEAKAGE_VOLTAGE_EXT

# ====== LEAKAGE ===========================================================

  1.057  LABEL        LEAKAGE_VOLTAGE
  1.058  RSLT         =
  1.059  HEAD         {LEAKAGE VOLTAGE TEST}
  1.060  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.061  JMPL         CH1_DC_MEASUREMENT

  1.062  LABEL        LEAKAGE_VOLTAGE_2
  1.063  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.064  JMPL         CH2_DC_MEASUREMENT

  1.065  LABEL        LEAKAGE_VOLTAGE_3
  1.066  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.067  JMPL         CH3_DC_MEASUREMENT

  1.068  LABEL        LEAKAGE_VOLTAGE_4
  1.069  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.070  JMPL         CH4_DC_MEASUREMENT

  1.071  LABEL        LEAKAGE_VOLTAGE_EXT
  1.072  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800

  1.073  END

# ====== INPUT NOISE =======================================================

  1.074  LABEL        INPUT_NOISE
  1.075  CALL         Sub WR6000 (1 yr) Input Noise Tests IEEE
  1.076  JMPL         INPUT_IMPEDANCE_1

# ====== DC GAIN ACCURACY ==================================================

  1.077  LABEL        CH1_DC_MEASUREMENT
  1.078  RSLT         =
  1.079  HEAD         {DC ACCURACY TEST}
  1.080  CALL         Sub WR6000 Select Channel
  1.081  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.082  JMPL         CH1_OFFSET_MEASUREMENT

  1.083  LABEL        CH2_DC_MEASUREMENT
  1.084  CALL         Sub WR6000 Select Channel
  1.085  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.086  JMPL         CH2_OFFSET_MEASUREMENT

  1.087  LABEL        CH3_DC_MEASUREMENT
  1.088  CALL         Sub WR6000 Select Channel
  1.089  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.090  JMPL         CH3_OFFSET_MEASUREMENT

  1.091  LABEL        CH4_DC_MEASUREMENT
  1.092  CALL         Sub WR6000 Select Channel
  1.093  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.094  JMPL         CH4_OFFSET_MEASUREMENT

 # ====== OFFSET ============================================================

  1.095  LABEL        CH1_OFFSET_MEASUREMENT
  1.096  RSLT         =
  1.097  HEAD         {OFFSET TEST}
  1.098  CALL         Sub WR6000 Select Channel
  1.099  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.100  JMPL         CH1_ANALOG_BANDWIDTH

  1.101  LABEL        CH2_OFFSET_MEASUREMENT
  1.102  CALL         Sub WR6000 Select Channel
  1.103  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.104  JMPL         CH2_ANALOG_BANDWIDTH

  1.105  LABEL        CH3_OFFSET_MEASUREMENT
  1.106  CALL         Sub WR6000 Select Channel
  1.107  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.108  JMPL         CH3_ANALOG_BANDWIDTH

  1.109  LABEL        CH4_OFFSET_MEASUREMENT
  1.110  CALL         Sub WR6000 Select Channel
  1.111  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.112  JMPL         CH4_ANALOG_BANDWIDTH

# ====== BANDWIDTH =========================================================

  1.113  LABEL        CH1_ANALOG_BANDWIDTH
  1.114  RSLT         =
  1.115  HEAD         {BANDWIDTH TESTS}
  1.116  CALL         Sub WR6000 Select Channel
  1.117  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800+GHz
  1.118  JMPL         TRIGGER_LEVEL_1

  1.119  LABEL        CH2_ANALOG_BANDWIDTH
  1.120  CALL         Sub WR6000 Select Channel
  1.121  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800+GHz
  1.122  JMPL         TRIGGER_LEVEL_2

  1.123  LABEL        CH3_ANALOG_BANDWIDTH
  1.124  CALL         Sub WR6000 Select Channel
  1.125  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800+GHz
  1.126  JMPL         TRIGGER_LEVEL_3

  1.127  LABEL        CH4_ANALOG_BANDWIDTH
  1.128  CALL         Sub WR6000 Select Channel
  1.129  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800+GHz
  1.130  JMPL         TRIGGER_LEVEL_4

# ====== TRIGGER LEVEL =====================================================

  1.131  LABEL        TRIGGER_LEVEL_1
  1.132  RSLT         =
  1.133  HEAD         {TRIGGER TEST (DC coupled)}
  1.134  CALL         Sub WR6000 Select Channel
  1.135  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.136  JMPL         TIMEBASE

  1.137  LABEL        TRIGGER_LEVEL_2
  1.138  CALL         Sub WR6000 Select Channel
  1.139  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.140  JMPL         INPUT_IMPEDANCE_3

  1.141  LABEL        TRIGGER_LEVEL_3
  1.142  CALL         Sub WR6000 Select Channel
  1.143  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.144  JMPL         INPUT_IMPEDANCE_4

  1.145  LABEL        TRIGGER_LEVEL_4
  1.146  CALL         Sub WR6000 Select Channel
  1.147  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.148  JMPL         INPUT_IMPEDANCE_EXT

# ====== TIMEBASE ==========================================================

  1.149  LABEL        TIMEBASE
  1.150  RSLT         =
  1.151  HEAD         {TIMEBASE TEST}
  1.152  MATH         @Chan = 1
  1.153  CALL         Sub WR6000 (1 yr) Timebase VER IEEE /5800
  1.154  JMPL         INPUT_IMPEDANCE_2
